<ng-template #newContainer let-c="close" let-d="dismiss">
  <div class="modalContainer" fxLayout="column" fxFlex>

    <div fxLayout="row" fxLayoutAlign="start end">
      <raamInput title="URL" [value]="url" (valueChange)="url = $event" fxFlex></raamInput>
      <button class="btn btn-primary" fxFlexOffset="1" (click)="testContainer()">Test</button>
    </div>

    <!-- =========================================== Container Reached ============================================= -->
    <div *ngIf="container" fxLayout="column" fxFlexOffset="1" fxFlex>
      <raamHeadline title=" "></raamHeadline>
      <div fxLayout="row" fxLayoutAlign="start" fxFlexOffset="1">

        <div fxLayout="column" fxFlex="50">
          <span class="raamHintText" fxFlexOffset="1.5">Name: {{container.name}}</span>
          <span class="raamHintText" fxFlexOffset="1.5">Format: {{container.format}}</span>

          <div fxLayout="row" fxFlexOffset="1.5">
            <span class="raamHintText" *ngIf="container.parameters">Parameter:</span>
            <span class="raamHintText" *ngFor="let param of container.parameters" fxFlexOffset="1">
              {{param.name}},
            </span>
          </div>

          <span class="raamHintText" *ngIf="container.description" fxFlexOffset="1.5">Description:</span>
          <span class="raamHintText" *ngIf="container.description">{{container.description}}</span>
        </div>

        <div fxLayout="column" fxFlexOffset="1">
          <div class="dividerH"></div>
        </div>

        <div fxLayout="column" fxFlex="50" fxFlexOffset="1">
          <!-- ===================================== Container can be added ======================================== -->
          <div *ngIf="isOk" fxLayout="column">
            <div fxLayout="row" fxLayoutAlign="center center">
              <span class="raamHintText" fxFlexOffset="1.5">The container matched all criteria to be added</span>
              <span class="fa fa-check-circle" [style.color]="'green'" fxFlexOffset="1.5"></span>
            </div>

            <div fxLayout="row" fxFlex fxFlexOffset="5">
              <span class="raamHintText">Before finishing to process you can add a color to the container. Ether type in the colorcode yourself or link it to a role below.</span>
            </div>

            <div fxLayout="row" fxFlex>
              <raamInput [title]="''" placeholder="#007bff" fxFlex
                         [value]="container.color" (valueChange)="changeContainerColor($event)"></raamInput>
            </div>

            <div *ngIf="roles" fxLayout="row" fxLayoutAlign="center end">
              <raamColor [color]="container.color"></raamColor>
              <raamDropDown [title]="''" [value]="role" fxFlex fxFlexOffset="1"
                            [list]="roles" displayContent="name"
                            (change)="changeContainerColor($event)"></raamDropDown>
            </div>
          </div>
          <!-- ================================ Container is missing Information =================================== -->
          <div *ngFor="let reasosn of thirtyReasonsWhy" fxLayout="row" fxLayoutAlign="start center">
            <span class="raamHintText" fxFlexOffset="1.5">{{reasosn.short}}</span>
            <span class="fa fa-times" [style.color]="'red'" fxFlexOffset="1.5"></span>
          </div>
        </div>
      </div>
    </div>

    <!-- ========================================== Container Not Reached ========================================== -->
    <div *ngIf="!container" fxLayout="column" fxFlexOffset="1" fxFlex>
      <raamHeadline title=" "></raamHeadline>
      <div fxLayout="row" fxLayoutAlign="start" fxFlexOffset="1">

        <div fxLayout="column" fxFlex="50" fxFlexOffset="25">
          <div fxLayout="column" *ngFor="let resosn of thirtyReasonsWhy">
            <span class="raamHintText" fxFlexOffset="1.5">{{resosn.short}} :</span>
            <span class="raamHintText" fxFlexOffset="2" fxLayoutAlign="center">{{resosn.explanation}}, </span>
          </div>
        </div>
      </div>
    </div>

  </div>

  <div class="buttonContainer" fxFlex="row" fxLayoutAlign="end end">
    <button *ngIf="isOk" class="btn btn-success" (click)="modalRef.close()" fxFlexOffset="2">
      Add
    </button>
    <button class="btn btn-danger" (click)="modalRef.dismiss()" fxFlexOffset="2">
      Abort
    </button>
  </div>
</ng-template>
